o2 unlock

Discussion in 'Jailbreaks and iOS Hacks' started by icantbelieveit, Mar 5, 2008.

  1. icantbelieveit macrumors member

    Joined:
    Feb 21, 2008
    #1
    OK, just one quick question (I did search for an answer, im sure there's been one, but the only ones I could find were outdated now that ziphone's around):

    Im in the UK, want to buy an iphone and use a different o2 simcard in it (O2 simplicity as I get a lot more calls and texts and unlimited data and only tied to 1 months contract at a time for £25 a month).
    I don't want to put any other networks simcard it my iphone, nor am i too bothered about putting unauthorized apps on it, i just want to not use the o2 iphone simcard and use my own o2 card instead.
    Any ideas whats the best way to do this? Is it a jailbreak i need to do, or an unlock or something else?

    Cheers!
     
  2. CD3660 macrumors 68040

    CD3660

    Joined:
    Jun 6, 2007
    Location:
    Cheshire, United Kingdom.
    #2
    No need to unlock to achieve what you want.

    All you need to do is Jailbreak, and you can do this in about 60 seconds using ZiPhone.

    http://www.downloadziphone.org/
     
  3. draperm25 macrumors regular

    draperm25

    Joined:
    Sep 19, 2007
    Location:
    Swansea
    #3
    yep all you need to do is download ziphone and Jailbreak and acitvate it, uncheck the unlock box, and thne just wait 60 secs and then put your simplicity card in and it work, im on the o2 simplicity with unlimited dat, its good, better than £35 a month.
     
  4. hollerz macrumors 6502a

    hollerz

    Joined:
    Sep 13, 2006
    Location:
    Durham, UK
    #4
    Just another confirmation for you, did this for my friend using iJailbreak. You just need to jailbreak it and the other o2 SIM card will work fine.
     
  5. anim8or macrumors 65816

    anim8or

    Joined:
    Aug 16, 2006
    Location:
    Scotland, UK
    #5
    draperm25 + hollerz>>>>

    What firmware are you running?

    I am pretty sure you are all mistaken.....

    Any firmware over 1.1.2 requires an unlock for non iphone o2 sim cards. Presently unlocking the iphone for >1.1.2 FW requires baseband to stay at 1.1.2 (04.02.13_G). Unless the phone is using bootloader 3.9, which no phone bought after september/october 07 has.

    You can jailbreak and activate it but when you put the o2 sim in it will not pick up any signal, therefor you wont be able to phone out or in or receive sms, you will have a very expensive ipod touch.

    Unless there has been a breakthrough in the past fews days that i haven't read about.

    Please correct me if there has been any update, but i cant find anything here, on hackintosh, modmyifone, anywhere relevant!
     
  6. 127079 Guest

    Joined:
    Sep 20, 2007
    #6
    Will you get full edge speeds if you go with the simplicity plan. Why I ask is Iam on PayandGo and sick of the slow gprs speeds. Does anyone know the answer???
     
  7. CD3660, Mar 6, 2008
    Last edited by a moderator: Jan 9, 2011

    CD3660 macrumors 68040

    CD3660

    Joined:
    Jun 6, 2007
    Location:
    Cheshire, United Kingdom.
    #7
    The answer is yes.
     
  8. anim8or macrumors 65816

    anim8or

    Joined:
    Aug 16, 2006
    Location:
    Scotland, UK
    #8
    Hello CD3660, what firmware are you on? Please can u explain fully what u did with ziphone to achieve a working non iPhone o2 sim on 1.1.3 or above without unlocking!

    No one has given me any evidence of a non iPhone O2 sim working on 1.1.3 or above.

    I hate to burst anybodies bubble but don't get ur hopes up about SIMplicity cards working.

    Evidence please.
     
  9. igglepuff macrumors regular

    Joined:
    Sep 27, 2007
    #9
    heh, could always downgrade your bootloader to 3.9, so you can properly unlock 1.1.4 to use any sim. Only downside is you cant upgrade the bootloader after you have downgraded to 3.9 if a custom one ever comes out.
     
  10. CD3660 macrumors 68040

    CD3660

    Joined:
    Jun 6, 2007
    Location:
    Cheshire, United Kingdom.
    #10
    It's my son's iPhone (mine is Jailbroken on an official O2 iPhone tariff). Come to think of it, we went the whole hog with his iPhone by upgrading it to 1.1.4 and then unlocking it completely using ZiPhone 2.5.

    EDGE works perfectly on his Simplicity contract. All other features work as well except Visual Voicemail, Conference Calling, and Locate Me.
     
  11. TINCAN78 macrumors regular

    Joined:
    Jan 29, 2008
    Location:
    UK
    #11
    I can confirm that i jailbroke my iphone on 1.14 and the 02 sim card DID NOT work with it. I then unlocked it fully and it worked straight away.

    So jailbreaking the 1.14 iphone will not allow any 02 sim you will need to unlock it too. This was on my new 16gb iphone straight out of the box.

    Hope that helps
     
  12. anim8or macrumors 65816

    anim8or

    Joined:
    Aug 16, 2006
    Location:
    Scotland, UK
    #12
    Ok so thread over me thinks....

    If you unlock your phone on any firmware 1.1.3 or above using ziphone it will downgrade the baseband* to the 1.1.2 baseband.

    This is why such functions as 'Locate Me' dont work.

    In fact 'Locate Me' not working is the key to telling if you have been unlocked (therefor downgrading baseband).

    *If you have a 3.9 Bootloader then you wont need to downgrade your baseband as 3.9 BL works differently from the 4.6Bl that comes with any 1.1.2 OTB iPhone or above.
     
  13. CD3660 macrumors 68040

    CD3660

    Joined:
    Jun 6, 2007
    Location:
    Cheshire, United Kingdom.
    #13
    Quite possibly, however..........

    My personal iPhone is on an O2 official iPhone tariff and has been 1.1.4 jailbroken only, yet the Locate Me does not work.

    Doesn't bother me though as I find that particular application to be a gimmick.
     
  14. anim8or macrumors 65816

    anim8or

    Joined:
    Aug 16, 2006
    Location:
    Scotland, UK
    #14
    hmmmmmmm....

    That is a strange one....

    I haven't jailbroken my 1.1.4 O2 iPhone but my locate me does work....

    On your phone go to settings>general>about and check which baseband (located at the bottom of the page you are on it should be something along the lines of 04.04.05_G

    If you are not on this then you have done something more than jailbroken your phone.

    If it is not this
     
  15. CD3660 macrumors 68040

    CD3660

    Joined:
    Jun 6, 2007
    Location:
    Cheshire, United Kingdom.
    #15
    Yes, it's 04.04.05_G but Locate Me doesn't work. I get the 'target' circle but no map, just a plain blue background.
     
  16. draperm25 macrumors regular

    draperm25

    Joined:
    Sep 19, 2007
    Location:
    Swansea
    #16
    anim8or,

    I bought an 1.1.2 iPhone in December 07, and jailbroke it the old way untill ziphone came out, i then done a full restore through iTunes and pointed the restore to the 1.1.3 firmware (which i had downloaded onto my pc), i then used ziphone 2.4gui to unlock/jailbreak/activate my iPhone, all working fine, even the locate me feature, then when 1.1.4 came out i waited till ziphone worked then done another full restore through iTunes and pointed the restore to the 1.1.4 firmware (which i had downloaded onto the pc), then used ziphone 2.5gui to unlock/activate/jailbreak, all working fine even the locate me.

    So all in all, everytime i restored and used ziphone everything has always worked. The only thing i will suggest is, when you doing all this keep the O2 simplicity simcard in the iphone and not the O2 simcard that came in the iPhone, dont know if that made any difference but i took the original O2 iPhone simcard out of my iPhone on Christmas day, and i havent put it back in since so perhaps that will work.
     

Share This Page